Bug 11832 - Segmentation fault from bash when using "ssh server command"
Summary: Segmentation fault from bash when using "ssh server command"
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: bero
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-02 00:16 UTC by leon
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-10 21:09:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description leon 2000-06-02 00:16:10 UTC
default installation  segmentation faults.
tested on two different  systems (which have been running for many months).

Fault is where server machine is redhat 6.2's openssh .

Tested with openssh from rh62 and ssh-1.2.27 compiled from source.

machine 1 : server with openssh from rh62
machine 2 : rh61 with ssh-1.2.27  installed
machine 3:  rh62 with openssh.
machine 4:  another rh61 with ssh-1.2.27

machines 1,2,3,4 all get a segmentation fault when using
ssh to the machine 1 or 3  server.

machines 1,2,3,4 can ssh to machine 2 or 4

slogin works. "ssh username@machine1 ls " DOES NOT.

strace shows segmentation fault is in bash, or the shell; but as fault
apparent when using /bin/csh or any other shell ... then the problem
must be with sshd

leon

Comment 1 Bernhard Rosenkraenzer 2000-06-10 21:32:45 UTC
The current version of openssh for Red Hat Linux can be downloaded
at
ftp://ftp.redhat.de/pub/rh-addons/security/current/i386/


Note You need to log in before you can comment on or make changes to this bug.